Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 2057)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 2143)
@@ -22,57 +22,57 @@
  */
 
-af.js      Found: 396   Missing: 15
-ar.js      Found: 411   Missing: 0
-bg.js      Found: 373   Missing: 38
-bn.js      Found: 380   Missing: 31
-bs.js      Found: 226   Missing: 185
-ca.js      Found: 411   Missing: 0
-cs.js      Found: 411   Missing: 0
-da.js      Found: 381   Missing: 30
-de.js      Found: 411   Missing: 0
-el.js      Found: 396   Missing: 15
-en-au.js   Found: 411   Missing: 0
-en-ca.js   Found: 411   Missing: 0
-en-uk.js   Found: 411   Missing: 0
-eo.js      Found: 346   Missing: 65
-es.js      Found: 411   Missing: 0
-et.js      Found: 411   Missing: 0
-eu.js      Found: 411   Missing: 0
-fa.js      Found: 397   Missing: 14
-fi.js      Found: 411   Missing: 0
-fo.js      Found: 396   Missing: 15
-fr-ca.js   Found: 411   Missing: 0
-fr.js      Found: 411   Missing: 0
-gl.js      Found: 381   Missing: 30
-gu.js      Found: 411   Missing: 0
-he.js      Found: 411   Missing: 0
-hi.js      Found: 411   Missing: 0
-hr.js      Found: 411   Missing: 0
-hu.js      Found: 411   Missing: 0
-it.js      Found: 410   Missing: 1
-ja.js      Found: 411   Missing: 0
-km.js      Found: 370   Missing: 41
-ko.js      Found: 390   Missing: 21
-lt.js      Found: 376   Missing: 35
-lv.js      Found: 381   Missing: 30
-mn.js      Found: 411   Missing: 0
-ms.js      Found: 352   Missing: 59
-nb.js      Found: 395   Missing: 16
-nl.js      Found: 411   Missing: 0
-no.js      Found: 395   Missing: 16
-pl.js      Found: 411   Missing: 0
-pt-br.js   Found: 411   Missing: 0
-pt.js      Found: 381   Missing: 30
-ro.js      Found: 410   Missing: 1
-ru.js      Found: 411   Missing: 0
-sk.js      Found: 396   Missing: 15
-sl.js      Found: 411   Missing: 0
-sr-latn.js Found: 368   Missing: 43
-sr.js      Found: 368   Missing: 43
-sv.js      Found: 396   Missing: 15
-th.js      Found: 393   Missing: 18
-tr.js      Found: 396   Missing: 15
-uk.js      Found: 397   Missing: 14
-vi.js      Found: 396   Missing: 15
-zh-cn.js   Found: 411   Missing: 0
-zh.js      Found: 411   Missing: 0
+af.js      Found: 396   Missing: 17
+ar.js      Found: 411   Missing: 2
+bg.js      Found: 373   Missing: 40
+bn.js      Found: 380   Missing: 33
+bs.js      Found: 226   Missing: 187
+ca.js      Found: 411   Missing: 2
+cs.js      Found: 411   Missing: 2
+da.js      Found: 381   Missing: 32
+de.js      Found: 411   Missing: 2
+el.js      Found: 396   Missing: 17
+en-au.js   Found: 413   Missing: 0
+en-ca.js   Found: 413   Missing: 0
+en-uk.js   Found: 413   Missing: 0
+eo.js      Found: 346   Missing: 67
+es.js      Found: 411   Missing: 2
+et.js      Found: 411   Missing: 2
+eu.js      Found: 411   Missing: 2
+fa.js      Found: 397   Missing: 16
+fi.js      Found: 411   Missing: 2
+fo.js      Found: 396   Missing: 17
+fr-ca.js   Found: 411   Missing: 2
+fr.js      Found: 411   Missing: 2
+gl.js      Found: 381   Missing: 32
+gu.js      Found: 411   Missing: 2
+he.js      Found: 411   Missing: 2
+hi.js      Found: 411   Missing: 2
+hr.js      Found: 411   Missing: 2
+hu.js      Found: 411   Missing: 2
+it.js      Found: 410   Missing: 3
+ja.js      Found: 411   Missing: 2
+km.js      Found: 370   Missing: 43
+ko.js      Found: 390   Missing: 23
+lt.js      Found: 376   Missing: 37
+lv.js      Found: 381   Missing: 32
+mn.js      Found: 411   Missing: 2
+ms.js      Found: 352   Missing: 61
+nb.js      Found: 395   Missing: 18
+nl.js      Found: 411   Missing: 2
+no.js      Found: 395   Missing: 18
+pl.js      Found: 411   Missing: 2
+pt-br.js   Found: 411   Missing: 2
+pt.js      Found: 381   Missing: 32
+ro.js      Found: 410   Missing: 3
+ru.js      Found: 411   Missing: 2
+sk.js      Found: 396   Missing: 17
+sl.js      Found: 411   Missing: 2
+sr-latn.js Found: 368   Missing: 45
+sr.js      Found: 368   Missing: 45
+sv.js      Found: 396   Missing: 17
+th.js      Found: 393   Missing: 20
+tr.js      Found: 396   Missing: 17
+uk.js      Found: 397   Missing: 16
+vi.js      Found: 396   Missing: 17
+zh-cn.js   Found: 413   Missing: 0
+zh.js      Found: 413   Missing: 0