Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2141)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2146)
@@ -167,5 +167,5 @@
 
 	/**
-	 * Get the advanced configuation set.<br />
+	 * Get the advanced configuration set.<br />
 	 * By adding elements to this collection you can override the settings
 	 * specified in the config.js file.
@@ -178,5 +178,5 @@
 
 	/**
-	 * Set the advanced configuation set.
+	 * Set the advanced configuration set.
 	 * 
 	 * @param value
@@ -198,5 +198,4 @@
 		if (Utils.isEmpty(txt))
 			return txt;
-		// TODO Strings are inefficent, use StringBuffer instead
 		txt = txt.replaceAll("&", "&#38;");
 		txt = txt.replaceAll("<", "&#60;");
@@ -244,5 +243,4 @@
 			String configStr = config.getUrlParams();
 			if (Utils.isNotEmpty(configStr))
-				// configStr = configStr.substring(1);
 				strEditor.append(createInputForVariable(null, instanceName.concat("___Config"),
 				        configStr));
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2141)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2146)
@@ -81,5 +81,5 @@
 
 	/**
-	 * Checks if the underlying file of the InputStrem is an image.
+	 * Checks if the underlying file of the InputStream is an image.
 	 * 
 	 * @param in An input stream
@@ -94,5 +94,5 @@
 
 	/**
-     * TODO - document me!
+     * Checks, if <code>path</code> is a valid one. 
      * 
      * @param path
@@ -116,8 +116,9 @@
 
 	/**
-     * TODO - document me!
+     * Makes sure that <code>filename</code> has only one extension.
+     * Other dots will be replaced with '_'.
      * 
      * @param filename
-     * @return string with a single dot only
+     * @return String with a single extension only.
      */
     public static String forceSingleExtension(final String filename) {
@@ -126,9 +127,9 @@
 
 	/**
-     * TODO - document me!
+     * Checks, if <code>filename</code> has a single extension.
      * 
      * @param filename
-     * @return <code>true</code> if filename contains severals dots else
-     *         <code>false</code>
+     * @return <code>true</code> if filename has just one dot, else
+     *         <code>false</code>.
      */
     public static boolean isSingleExtension(final String filename) {
@@ -137,8 +138,9 @@
     
     /**
-	 * TODO - document me!
-	 * @param dir
+	 * Checks if <code>dir</code> exists, if not it will be created.
+	 * 
+	 * @param dir Directory to check/create.
 	 */
-	public static void checkDirAndCreate(File dir) {
+	public static void checkDirAndCreate(final File dir) {
 		if (!dir.exists()) {
 			dir.mkdirs();
@@ -148,11 +150,13 @@
 	
 	/**
-	 * TODO - document me!
+	 * Constructs the server-side path for a special <code>resourceType</code>. 
+	 * Path is inside the <code>UserFilePath</code>.
+	 * 
 	 * @param request
 	 * @param resourceType
-	 * @return server-side path
+	 * @return server-side path of <code>resourceType</code>.
 	 */
-	public static String constructServerSidePath(HttpServletRequest request,
-			ResourceTypeHandler resourceType) {
+	public static String constructServerSidePath(final HttpServletRequest request,
+			final ResourceTypeHandler resourceType) {
 		StringBuffer sb = new StringBuffer(ConnectorHandler
 				.getUserFilesPath(request));
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2141)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2146)
@@ -23,4 +23,5 @@
 import javax.servlet.http.HttpServletRequest;
 
+import net.fckeditor.connector.ConnectorServlet;
 import net.fckeditor.handlers.ConnectorHandler;
 import net.fckeditor.handlers.ResourceTypeHandler;
@@ -34,5 +35,5 @@
 
 	/**
-	 * TODO - document me!
+	 * Constructs an url, using as response in {@link ConnectorServlet}.
      * 
      * @param request