Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html	(revision 2152)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html	(revision 2152)
@@ -0,0 +1,96 @@
+<!--
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ *
+ * == BEGIN LICENSE ==
+ *
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ *
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ *
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ *
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ *
+ * == END LICENSE ==
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<html>
+<head>
+</head>
+<body bgcolor="white">
+
+Different handlers for various purposes used in the entire system. 
+
+<!-- Put @see and @since tags down here. -->
+
+</body>
+</html>
+<!--
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ *
+ * == BEGIN LICENSE ==
+ *
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ *
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ *
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ *
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ *
+ * == END LICENSE ==
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<html>
+<head>
+</head>
+<body bgcolor="white">
+
+Different handlers for various purposes used in the entire system. 
+
+<!-- Put @see and @since tags down here. -->
+
+</body>
+</html>
+<!--
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ *
+ * == BEGIN LICENSE ==
+ *
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ *
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ *
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ *
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ *
+ * == END LICENSE ==
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<html>
+<head>
+</head>
+<body bgcolor="white">
+
+Different handlers for various purposes used in the entire system. 
+
+<!-- Put @see and @since tags down here. -->
+
+</body>
+</html>
Index: FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 2151)
+++ FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 2152)
@@ -19,5 +19,5 @@
 ~~ @version $Id: connector.apt 2004 2008-05-16 14:48:17Z mosipov $
                         ------------------------------
-                           Velocity / Freemarker
+                        Velocity/FreeMarker Integration
                         ------------------------------
                         
@@ -68,15 +68,3 @@
    <input type="submit" value="OK" />
 </form>
-<<<<<<< .mine
-<<<<<<< .mine
 +------------------------------------------------------------------------------+
-=======
-+------------------------------------------------------------------------------+
->>>>>>> .theirs
-=======
-+------------------------------------------------------------------------------+
-
-
-
-
->>>>>>> .theirs