Index: FCKeditor.Java/trunk/pom.xml
===================================================================
--- FCKeditor.Java/trunk/pom.xml	(revision 2161)
+++ FCKeditor.Java/trunk/pom.xml	(revision 2162)
@@ -13,4 +13,8 @@
 		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
 		<slf4j.version>1.5.2</slf4j.version>
+		
+		<!-- site plugin properties for Velocity -->
+		<slf4jVersion>${slf4j.version}</slf4jVersion>
+		<currentVersion>${version}</currentVersion>
 	</properties>
 	<build>
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt	(revision 2161)
+++ 	(revision )
@@ -1,46 +1,0 @@
-~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
-~~ == BEGIN LICENSE ==
-~~ 
-~~ Licensed under the terms of any of the following licenses at your
-~~ choice:
-~~ 
-~~  - GNU General Public License Version 2 or later (the "GPL")
-~~    http://www.gnu.org/licenses/gpl.html
-~~ 
-~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
-~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
-~~  - Mozilla Public License Version 1.1 or later (the "MPL")
-~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
-~~ == END LICENSE ==
-~~ @version $$Id$$
-                                    ------------------------------
-                                           		Demo
-                                    ------------------------------
-
-Demo Web Application
-
-    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
-                    server implementation to run the library and the demo webapp.
-
-  The demo is intended for novices, beginners, and for everyone who wants to see
-  the FCKeditor (version 2.6.2) in action right out of the box. It's also a good 
-  reference for you to see how all integral parts work together.
-
-  It takes three simple steps to see the demo in action:
-
-   [[1]] Download the <<<fckeditor-java-demo-2.4.war>>> from the
-         {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}.
-
-   [[2]] Deploy the <<<fckeditor-java-demo-2.4.war>>> in your servlet container 
-         or application server and make sure that the context is enabled.
-        
-   [[3]] Open up your browser and point to <<<http://localhost:8080/fckeditor-java-demo-2.4>>>.
-         (assuming your server is running local at port 8080 for testing purposes)
-
-   []
-
-  You are now ready to explore the FCKeditor!
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2162)
+++ FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2162)
@@ -0,0 +1,46 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ 
+~~ == BEGIN LICENSE ==
+~~ 
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~ 
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~ 
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~ 
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~ 
+~~ == END LICENSE ==
+~~ @version $$Id$$
+                                    ------------------------------
+                                           		Demo
+                                    ------------------------------
+
+Demo Web Application
+
+    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
+                    server implementation to run the library and the demo webapp.
+
+  The demo is intended for novices, beginners, and for everyone who wants to see
+  the FCKeditor (version 2.6.2) in action right out of the box. It's also a good 
+  reference for you to see how all integral parts work together.
+
+  It takes three simple steps to see the demo in action:
+
+   [[1]] Download the <<<fckeditor-java-demo-${currentVersion}.war>>> from the
+         {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}.
+
+   [[2]] Deploy the <<<fckeditor-java-demo-${currentVersion}.war>>> in your servlet container 
+         or application server and make sure that the context is enabled.
+        
+   [[3]] Open up your browser and point to <<<http://localhost:8080/fckeditor-java-demo-${currentVersion}>>>.
+         (assuming your server is running local at port 8080 for testing purposes)
+
+   []
+
+  You are now ready to explore the FCKeditor!
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt	(revision 2161)
+++ 	(revision )
@@ -1,129 +1,0 @@
-~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
-~~ == BEGIN LICENSE ==
-~~ 
-~~ Licensed under the terms of any of the following licenses at your
-~~ choice:
-~~ 
-~~  - GNU General Public License Version 2 or later (the "GPL")
-~~    http://www.gnu.org/licenses/gpl.html
-~~ 
-~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
-~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
-~~  - Mozilla Public License Version 1.1 or later (the "MPL")
-~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
-~~ == END LICENSE ==
-~~ @version $Id$
-                        ------------------------------
-                                Installation
-                        ------------------------------
-
-Installation Guide
-
-    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
-                    server implementation to run the library and the demo webapp.
-
-* Using Maven 2
-
-  Include a dependency reference to the library in the dependencies section of 
-  your POM:
-
-+------------------------------------------------------------------------------+
-<dependency>
-  <groupId>net.fckeditor</groupId>
-  <artifactId>java-core</artifactId>
-  <version>2.4</version>
-</dependency>
-+------------------------------------------------------------------------------+
-
-* Manual installation
-
-  The distribution comes in three flavors, pick one from the 
-  {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}
-  which fits best in your environment.
-
-  * <<<fckeditor-java-core-2.4.jar>>>
-
-    If you already have all dependencies on your classpath, simply put this jar
-    on your classpath (usually <<<WEB-INF/lib>>>) and you are ready to go.
-
-  * <<<fckeditor-java-2.4-bin.zip>>> (or <<<tar.gz>>>)
-
-    If you are starting from scratch, this distribution fits best. This package
-    comes with pre-built jars, all dependencies, the entire documentation for
-    offline usage and the license file.
-
-    The pre-built jars are:
-
-*--------------------------------------------+----------------------------------+
-|| File                                      || Description                    ||
-*--------------------------------------------+----------------------------------+
-| fckeditor-java-core-2.4.jar                | main jar                         |
-*--------------------------------------------+----------------------------------+
-| fckeditor-java-core-2.4-javadoc.jar        | optional javadoc for IDE integration |
-*--------------------------------------------+----------------------------------+
-
-    The <<<lib>>> folder contains the following dependencies:
-
-*--------------------------------------------+----------------------------------+
-|| File                                      || Description                    ||
-*--------------------------------------------+----------------------------------+
-| commons-fileupload-1.2.jar                 | Apache Commons FileUpload library|
-*--------------------------------------------+----------------------------------+
-| commons-io-1.3.2.jar                       | Apache Commons IO library        |
-*--------------------------------------------+----------------------------------+
-| slf4j-api-1.5.2.jar                        | Simple logging facade library    |
-*--------------------------------------------+----------------------------------+
-
-    Drop the main jar and the dependencies in your classpath (usually
-    <<<WEB-INF/lib>>>) and you are ready to go.
-
-  * <<<fckeditor-java-2.4-src.zip>>>  (or <<<tar.gz>>>)
-
-    If you want to check out the integration's source code, refit to your needs
-    (obeying the license terms) or compile yourself, this is the perfect
-    distribution for you.
-
-  []
-
-* FCKeditor installation
-
-  Although the public distribution is fine, it still contains a lot of superfluous
-  files for a Java environment. Use the following <<<Ant>>> target on the FCKeditor
-  zip file (~1,25 MiB) to create a cleaner and smaller distribution zip file
-  (~986 KiB).
-
-+------------------------------------------------------------------------------+
-<target name="clean-fckeditor" description="Creates a clean FCKeditor distribution">
-  <!-- Adapt properties to your needs -->
-  <property name="fckeditor-tmp" location="fckeditor-tmp" />
-  <property name="fckeditor-basename" value="FCKeditor_2.6.2" />
-  <property name="fckeditor-destfile" value="${fckeditor-basename}_clean.zip" />
-
-  <delete file="${fckeditor-destfile}" />
-  <unzip dest="${fckeditor-tmp}" src="${fckeditor-basename}.zip" />
-  <zip destfile="${fckeditor-destfile}">
-    <zipfileset dir="${fckeditor-tmp}/fckeditor" prefix="fckeditor">
-      <include name="_samples/_plugins/" />
-      <include name="editor/" />
-      <include name="fckconfig.js" />
-      <include name="*.xml" />
-      <exclude name="editor/filemanager/connectors/" />
-    </zipfileset>
-  </zip>
-  <delete dir="${fckeditor-tmp}" />
-</target>
-+------------------------------------------------------------------------------+
-
-A word on Logging
-
-    [Attention:] Do <not> skip this section otherwise your application will <<fail>>!
-
-  We use the state-of-the-art logging facade <<<SLF4J>>>. To make SFL4J work at
-  runtime, you have to add <<one>> binding and the appropriate backend (may
-  be optional) into your classpath.\
-  Please check the {{{http://slf4j.org}SLF4J website}} for more information on
-  bindings and the API itself.
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2162)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2162)
@@ -0,0 +1,129 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ 
+~~ == BEGIN LICENSE ==
+~~ 
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~ 
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~ 
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~ 
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~ 
+~~ == END LICENSE ==
+~~ @version $Id$
+                        ------------------------------
+                                Installation
+                        ------------------------------
+
+Installation Guide
+
+    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
+                    server implementation to run the library and the demo webapp.
+
+* Using Maven 2
+
+  Include a dependency reference to the library in the dependencies section of 
+  your POM:
+
++------------------------------------------------------------------------------+
+<dependency>
+  <groupId>net.fckeditor</groupId>
+  <artifactId>java-core</artifactId>
+  <version>${currentVersion}</version>
+</dependency>
++------------------------------------------------------------------------------+
+
+* Manual installation
+
+  The distribution comes in three flavors, pick one from the 
+  {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}
+  which fits best in your environment.
+
+  * <<<fckeditor-java-core-${currentVersion}.jar>>>
+
+    If you already have all dependencies on your classpath, simply put this jar
+    on your classpath (usually <<<WEB-INF/lib>>>) and you are ready to go.
+
+  * <<<fckeditor-java-${currentVersion}-bin.zip>>> (or <<<tar.gz>>>)
+
+    If you are starting from scratch, this distribution fits best. This package
+    comes with pre-built jars, all dependencies, the entire documentation for
+    offline usage and the license file.
+
+    The pre-built jars are:
+
+*---------------------------------------------------+--------------------------------------+
+|| File                                             || Description                        ||
+*---------------------------------------------------+--------------------------------------+
+| fckeditor-java-core-${currentVersion}.jar         | main jar                             |
+*---------------------------------------------------+--------------------------------------+
+| fckeditor-java-core-${currentVersion}-javadoc.jar | optional javadoc for IDE integration |
+*---------------------------------------------------+--------------------------------------+
+
+    The <<<lib>>> folder contains the following dependencies:
+
+*--------------------------------------------+----------------------------------+
+|| File                                      || Description                    ||
+*--------------------------------------------+----------------------------------+
+| commons-fileupload-1.2.jar                 | Apache Commons FileUpload library|
+*--------------------------------------------+----------------------------------+
+| commons-io-1.3.2.jar                       | Apache Commons IO library        |
+*--------------------------------------------+----------------------------------+
+| slf4j-api-${slf4jVersion}.jar              | Simple logging facade library    |
+*--------------------------------------------+----------------------------------+
+
+    Drop the main jar and the dependencies in your classpath (usually
+    <<<WEB-INF/lib>>>) and you are ready to go.
+
+  * <<<fckeditor-java-${currentVersion}-src.zip>>> (or <<<tar.gz>>>)
+
+    If you want to check out the integration's source code, refit to your needs
+    (obeying the license terms) or compile yourself, this is the perfect
+    distribution for you.
+
+  []
+
+* FCKeditor installation
+
+  Although the public distribution is fine, it still contains a lot of superfluous
+  files for a Java environment. Use the following <<<Ant>>> target on the FCKeditor
+  zip file (~1,25 MiB) to create a cleaner and smaller distribution zip file
+  (~986 KiB).
+
++------------------------------------------------------------------------------+
+<target name="clean-fckeditor" description="Creates a clean FCKeditor distribution">
+  <!-- Adapt properties to your needs -->
+  <property name="fckeditor-tmp" location="fckeditor-tmp" />
+  <property name="fckeditor-basename" value="FCKeditor_2.6.2" />
+  <property name="fckeditor-destfile" value="${fckeditor-basename}_clean.zip" />
+
+  <delete file="${fckeditor-destfile}" />
+  <unzip dest="${fckeditor-tmp}" src="${fckeditor-basename}.zip" />
+  <zip destfile="${fckeditor-destfile}">
+    <zipfileset dir="${fckeditor-tmp}/fckeditor" prefix="fckeditor">
+      <include name="_samples/_plugins/" />
+      <include name="editor/" />
+      <include name="fckconfig.js" />
+      <include name="*.xml" />
+      <exclude name="editor/filemanager/connectors/" />
+    </zipfileset>
+  </zip>
+  <delete dir="${fckeditor-tmp}" />
+</target>
++------------------------------------------------------------------------------+
+
+A word on Logging
+
+    [Attention:] Do <not> skip this section otherwise your application will <<fail>>!
+
+  We use the state-of-the-art logging facade <<<SLF4J>>>. To make SFL4J work at
+  runtime, you have to add <<one>> binding and the appropriate backend (may
+  be optional) into your classpath.\
+  Please check the {{{http://slf4j.org}SLF4J website}} for more information on
+  bindings and the API itself.