Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2162)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2164)
@@ -83,5 +83,5 @@
 
   Supply the fully-qualified class names of the implemented classes as described
-  in the {{{properties.html}fonfiguration settings}}.
+  in the {{{properties.html}configuration settings}}.
 
   Right now, the integration pack provides two interfaces to extend the Connector:
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2162)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2164)
@@ -93,53 +93,50 @@
   wish.
 
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-|| Property                     || Default                       || Valid Values               || Description                                      ||
-||	                            ||                               ||                            ||                                                  ||
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.<type	| /<type name>  	             | any path                    | Indicates the resource type path to retrieve and store files. |
-| name>.path					|								 |							   |													|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.<type	|                        		 | any extension			   | List with extensions which should be denied.	  	|
-| name>.extensions.denied		|								 | 							   | separate extensions with a \| (pipe symbol).		|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.file.	| 7z\|aiff\|asf\|avi\|bmp\|csv\| | any extension			   | List with extensions which should be allowed.		|
-| extensions.allowed			| doc\|fla\|flv\|gif\|gz\|gzip\| |							   | separate extensions with a \| (pipe symbol).		|
-|								| jpeg\|jpg\|mid\|mov\|mp3\|mp4\||							   |													|
-|								| mpc\|mpeg\|mpg\|ods\|odt\|pdf\||							   |													|
-|								| png\|ppt\|pxd\|qt\|ram\|rar\|  |							   |													|
-|								| rm\|rmi\|rmvb\|rtf\|sdc\|sitd\||							   |													|
-|								| swf\|sxc\|sxw\|tar\|tgz\|tif\| |							   |													|
-|								| tiff\|txt\|vsd\|wav\|wma\|wmv\||							   |													|
-|								| xls\|xml\|zip				   	 |							   |													|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.flash. | swf\|fla					   	 | any extension		 	   | See above.										 	|
-| extensions.allowed			|						 		 |							   |													|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.image.	| bmp\|gif\|jpeg\|jpg\|png		 | any extension			   | See above.										 	|
-| extensions.allowed			|								 |							   |													|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.resourceType.media.	| aiff\|asf\|avi\|bmp\|fla\|flv\|| any extension			   | See above.										 	|
-| extensions.allowed			| gif\|jpeg\|jpg\|mid\|mov\|mp3\||							   |													|
-|								| mp4\|mpc\|mpeg\|mpg\|png\|qt\| |							   |													|
-|								| ram\|rm\|rmi\|rmvb\|swf\|tif\| |							   |													|
-|								| tiff\|wav\|wma\|wmv			 |							   |													|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.userFilesPath		| /userfiles					 | any path					   | Indicates the path where files are stored.			|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.forceSingleExtension| true							 | true, false (boolean)	   | Indicates whether file names with multiple extensions are sanitzed.|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.fullUrl      		| false                          | true, false (boolean)	   | Indicates whether the server url will be prepended.|
-|								|								 |							   | I.e. prepending http://www.yourdomain.com			|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.secureImageUploads	|true							 | true, false (boolean)	   | Checks uploaded images for validity.				|
-|								|								 |							   | I.e. the uploaded file is a real image and not any |
-|								|								 |							   | other renamed file type.							|
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.userActionImpl		|								 | any class implementing the  | Provides custom security functions for the File	|
-|								|								 | {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}} | Browser Connector. For more details see		|
-|								|								 | interface			   | {{{connector.html}here}}. |
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
-| connector.userPathBuilderImpl |								 | any class implementing the  | Provides a custom function to construct a user-dependent <<<UserFilesPath>>> for the |
-|								|								 | {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | File Browser Connector. For more details see		|
-|								|								 | interface			   | {{{connector.html}here}}. |
-*-------------------------------+--------------------------------+-----------------------------+----------------------------------------------------+
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+|| Property                     || Default									|| Valid Values             || Description                                     ||
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.<type	| /<type name>								| any path					| Indicates the resource type path to retrieve and	|
+| name>.path					|											|							| store files.										|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.<type	|											| any extension				| List with extensions which should be denied.		|
+| name>.extensions.denied		|											|							| Separate extensions with a \| (pipe symbol).		|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.file.	| 7z\|aiff\|asf\|avi\|bmp\|csv\|doc\|fla\|	| any extension				| List with extensions which should be allowed.		|
+| extensions.allowed			| flv\|gif\|gz\|gzip\|jpeg\|jpg\|mid\|mov\|	|							| Separate extensions with a \| (pipe symbol).		|
+|								| mp3\|mp4\|mpc\|mpeg\| mpg\|ods\|			|							|													|
+|								| odt\|pdf\|png\|ppt\|pxd\|qt\|ram\|rar\|	|							|													|
+|								| rm\|rmi\|rmvb\|rtf\|sdc\|sitd\|swf\|		|							|													|
+|								| sxc\|sxw\|tar\|tgz\|tif\|tiff\|txt\|vsd\| |							|													|
+|								| wav\|wma\|wmv\|xls\|xml\|zip				|							|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.flash. | swf\|fla									| any extension		 	 	| See above.										|
+| extensions.allowed			|						 					|							|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.image.	| bmp\|gif\|jpeg\|jpg\|png					| any extension				| See above.										|
+| extensions.allowed			|											|							|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.resourceType.media.	| aiff\|asf\|avi\|bmp\|fla\|flv\|gif\|jpeg\|| any extension				| See above.										|
+| extensions.allowed			| jpg\|mid\|mov\|mp3\|mp4\|mpc\|mpg\|		|							|													|
+|								| mpeg\|png\|qt\|ram\|rm\|rmi\|rmvb\|		|							|													|
+|								| swf\|tif\|tiff\|wav\|wma\|wmv				|							|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.userFilesPath		| /userfiles								| any path					| Indicates the path where files are stored.		|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.forceSingleExtension| true										| true, false (boolean)		| Indicates whether filenames with multiple 		|
+|								|											|							| extensions are sanitized.							|
+*-------------------------------+-------------------------------------------+-------------------------- +---------------------------------------------------+
+| connector.fullUrl      		| false										| true, false (boolean)		| Indicates whether the domain name will be			|
+|								|											|							| prepended. E.g. <<<http://www.mysite.com>>>		|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.secureImageUploads	|true										| true, false (boolean)		| Checks uploaded images for validity.				|
+|								|											|							| I.e. the uploaded file is a real image and not any|
+|								|											|							| other renamed file type.							|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.userActionImpl		|											| any fully-qualified class	| Provides custom security functions for the File	|
+|								|											| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}}  | Browser Connector. For more details see {{{connector.html}here}}. |
+|								|											| implementation			|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+| connector.userPathBuilderImpl |											| any fully-qualified class	| Provides a custom function for constructing a user-dependent <<<UserFilesPath>>> for the File |
+|								|											| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{connector.html}here}}. |
+|								|											| implementation			|													|
+*-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+