Index: FCKeditor.Java/trunk/build.xml
===================================================================
--- FCKeditor.Java/trunk/build.xml	(revision 2166)
+++ FCKeditor.Java/trunk/build.xml	(revision 2167)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
@@ -17,5 +18,6 @@
  *    http://www.mozilla.org/MPL/MPL-1.1.html
  * 
- * == END LICENSE ==  
+ * == END LICENSE ==
+ * @version: $Id$
 -->
 <project name="fckeditor-java" basedir=".">
@@ -42,5 +44,5 @@
 	>
 		<property name="fckeditor-tmp" location="fckeditor-tmp" />
-		<property name="fckeditor-basename" value="FCKeditor_2.6" />
+		<property name="fckeditor-basename" value="FCKeditor_2.6.2" />
 		<property name="fckeditor-destfile"
 		          value="${fckeditor-basename}_clean.zip"
Index: FCKeditor.Java/trunk/java-core/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-core/pom.xml	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/pom.xml	(revision 2167)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/connector/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/connector/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/connector/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/handlers/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/impl/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/impl/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/impl/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/requestcycle/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/response/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/response/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/response/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tags/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tags/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tags/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tool/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tool/package.html	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/tool/package.html	(revision 2167)
@@ -18,4 +18,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
Index: FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java	(revision 2166)
+++ FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/response/UploadResponseTest.java	(revision 2167)
@@ -1,9 +1,13 @@
 package net.fckeditor.response;
 
+import static org.junit.Assert.assertEquals;
+
 import org.junit.Test;
-import static org.junit.Assert.*;
 
-import net.fckeditor.response.UploadResponse;
-
+/**
+ * Tests for {@link UploadResponse}.
+ * 
+ * @version: $Id$
+ */
 public class UploadResponseTest {
 
Index: FCKeditor.Java/trunk/java-demo/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2167)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0"
 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp	(revision 2167)
@@ -21,4 +21,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.config.js
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.config.js	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.config.js	(revision 2167)
@@ -18,4 +18,5 @@
  * 
  * == END LICENSE ==
+ * @version: $Id$
  */
 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp	(revision 2167)
@@ -22,4 +22,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp	(revision 2167)
@@ -21,4 +21,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/sample.css
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/sample.css	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/sample.css	(revision 2167)
@@ -1,16 +1,8 @@
-/* @Packager.Header
-<FileDescription>
-	Styles used in the samples pages.
-</FileDescription>
-*/
-
-body, td, input, select, textarea
-{
+body, td, input, select, textarea {
 	font-size: 12px;
 	font-family: Arial, Verdana, Sans-Serif;
 }
 
-h1
-{
+h1 {
 	font-weight: bold;
 	font-size: 180%;
@@ -18,6 +10,5 @@
 }
 
-form
-{
+form {
 	margin: 0px 0px 0px 0px;
 	padding: 0px 0px 0px 0px;
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/sampleslist.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/sampleslist.jsp	(revision 2166)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/sampleslist.jsp	(revision 2167)
@@ -21,4 +21,5 @@
  *
  * == END LICENSE ==
+ * @version: $Id$
 --%>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
Index: FCKeditor.Java/trunk/pom.xml
===================================================================
--- FCKeditor.Java/trunk/pom.xml	(revision 2166)
+++ FCKeditor.Java/trunk/pom.xml	(revision 2167)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2166)
+++ FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2167)
@@ -17,5 +17,5 @@
 ~~ 
 ~~ == END LICENSE ==
-~~ @version $$Id$$
+~~ @version $Id$
                                     ------------------------------
                                            		Demo