Index: FCKeditor.Java/trunk/build.xml
===================================================================
--- FCKeditor.Java/trunk/build.xml	(revision 2169)
+++ FCKeditor.Java/trunk/build.xml	(revision 2178)
@@ -23,24 +23,6 @@
 <project name="fckeditor-java" basedir=".">
 
-	<!-- Do NOT remove this target. This is redeployment of a new editor version -->
-	<!--
-	<target name="deploy-fckeditor"
-	        description="Deploys the FCKeditor into the webapp for testing purposes"
-	>
-		<copy todir="java-demo/src/main/webapp/fckeditor">
-			<fileset dir="../fckeditor">
-				<include name="_samples/_plugins/" />
-				<include name="editor/" />
-				<include name="fckconfig.js" />
-				<include name="*.xml" />
-				<exclude name="editor/filemanager/connectors/" />
-			</fileset>
-		</copy>
-	</target>
-	-->
-
 	<target name="clean-fckeditor-distribution"
-	        description="Creates a clean FCKeditor distribution"
-	>
+	        description="Creates a clean FCKeditor distribution">
 		<property name="fckeditor-tmp" location="fckeditor-tmp" />
 		<property name="fckeditor-basename" value="FCKeditor_2.6.2" />
Index: FCKeditor.Java/trunk/java-core/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-core/pom.xml	(revision 2169)
+++ FCKeditor.Java/trunk/java-core/pom.xml	(revision 2178)
@@ -8,5 +8,5 @@
 			<groupId>commons-fileupload</groupId>
 			<artifactId>commons-fileupload</artifactId>
-			<version>1.2</version>
+			<version>1.2.1</version>
 		</dependency>
 		<dependency>
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2169)
+++ FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2178)
@@ -24,9 +24,9 @@
 Demo Web Application
 
-    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
-                    server implementation to run the library and the demo webapp.
+    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant
+                    server implementation to run the demo webapp.
 
   The demo is intended for novices, beginners, and for everyone who wants to see
-  the FCKeditor (version 2.6.2) in action right out of the box. It's also a good 
+  the FCKeditor (version 2.6.2) in action right out of the box. It's also a good
   reference for you to see how all integral parts work together.
 
@@ -36,5 +36,5 @@
          {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}.
 
-   [[2]] Deploy the <<<fckeditor-java-demo-${currentVersion}.war>>> in your servlet container 
+   [[2]] Deploy the <<<fckeditor-java-demo-${currentVersion}.war>>> in your servlet container
          or application server and make sure that the context is enabled.
         
Index: FCKeditor.Java/trunk/src/site/apt/download.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2178)
+++ FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2178)
@@ -0,0 +1,106 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~ 
+~~ == BEGIN LICENSE ==
+~~ 
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~ 
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~ 
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~ 
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~ 
+~~ == END LICENSE ==
+~~ @version $Id: installation.apt.vm 2162 2008-07-03 18:11:08Z mosipov $
+                        ------------------------------
+                                Download
+                        ------------------------------
+
+Download Guide
+
+  We provide several distributions for different purposes. Choose a distribution
+  which fits best in your environment. Every distribution is available in our
+  {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}.
+
+* Binary distribution
+
+    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
+                    server implementation to run the integration pack.
+
+** Using Maven 2
+
+   Declare a dependency reference to the library in the dependencies section of 
+   your POM and Maven 2 will do the rest for you:
+
++------------------------------------------------------------------------------+
+<dependency>
+  <groupId>net.fckeditor</groupId>
+  <artifactId>java-core</artifactId>
+  <version>${currentVersion}</version>
+</dependency>
++------------------------------------------------------------------------------+
+
+** Manual download
+
+   We provide two binary distributions, read on to learn more!
+
+   * <<<fckeditor-java-core-${currentVersion}.jar>>>
+
+     The core library for those who have all dependencies already present.
+
+   * <<<fckeditor-java-${currentVersion}-bin.zip>>> (or <<<tar.gz>>>)
+
+     If you are starting from scratch, this distribution fits best. This package
+     comes with pre-built jars, all dependencies, the entire documentation for
+     offline usage and the license file.
+
+     The pre-built jars are:
+
+*---------------------------------------------------+--------------------------------------+
+|| File                                             || Description                        ||
+*---------------------------------------------------+--------------------------------------+
+| fckeditor-java-core-${currentVersion}.jar         | main jar                             |
+*---------------------------------------------------+--------------------------------------+
+| fckeditor-java-core-${currentVersion}-javadoc.jar | optional javadoc for IDE integration |
+*---------------------------------------------------+--------------------------------------+
+
+     The <<<lib>>> folder contains the following dependencies:
+
+*--------------------------------------------+----------------------------------+
+|| File                                      || Description                    ||
+*--------------------------------------------+----------------------------------+
+| commons-fileupload-1.2.1.jar               | Apache Commons FileUpload library|
+*--------------------------------------------+----------------------------------+
+| commons-io-1.3.2.jar                       | Apache Commons IO library        |
+*--------------------------------------------+----------------------------------+
+| slf4j-api-${slf4jVersion}.jar              | Simple logging facade library    |
+*--------------------------------------------+----------------------------------+
+
+   []
+
+* Source distribution
+
+    [Requirements:] You need at least Maven 2.0.8 and JDK 5 to compile the
+                    integration pack.
+
+  * <<<fckeditor-java-${currentVersion}-src.zip>>> (or <<<tar.gz>>>)
+
+    If you want to checkout the integration pack's source code, refit to your
+    needs (obeying the license terms) or compile yourself, this is the perfect
+    distribution for you.
+
+  []
+
+A word on Logging
+
+    [Attention:] Do <not> skip this section otherwise your application will <<fail>>!
+
+  We use the state-of-the-art logging facade <<<SLF4J>>>. To make SFL4J work at
+  runtime, you have to add <<one>> binding and the corresponding backend (may
+  be optional) into your classpath. Please check the {{{http://slf4j.org}SLF4J website}}
+  for more information on bindings and the API itself.
Index: FCKeditor.Java/trunk/src/site/apt/index.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2169)
+++ FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2178)
@@ -39,6 +39,6 @@
   Start with {{{whatsnew.html}What's new}} to see what has changed since 2.3 and
   there is a lot! Go over and checkout the {{{demo.html}Demo}} and if you are 
-  ready to deploy the FCKeditor in your webapp follow the 
-  {{{installation.html}Installation Guide}} and the {{{overview.html}Integration Overview}}.
+  ready to deploy the FCKeditor in your webapp, {{{download.html}download}} it,
+  follow the {{{installation.html}Installation Guide}} and the {{{overview.html}Integration Overview}}.
   
 
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2169)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2178)
@@ -24,69 +24,23 @@
 Installation Guide
 
-    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
-                    server implementation to run the library and the demo webapp.
+  After downloading an appropriate distribution, you need now to install it into
+  your webapp. Read the applying topics in this guide from top to bottom.
 
-* Using Maven 2
+* Integration pack installation
 
-  Include a dependency reference to the library in the dependencies section of 
-  your POM:
+  Installing the integration pack, it's dependencies, and a required SLF4J binding.
 
-+------------------------------------------------------------------------------+
-<dependency>
-  <groupId>net.fckeditor</groupId>
-  <artifactId>java-core</artifactId>
-  <version>${currentVersion}</version>
-</dependency>
-+------------------------------------------------------------------------------+
+** Using Maven 2
 
-* Manual installation
+   If you have already declared the depedency reference as described in the
+   {{{download.html}download guide}}, Maven has already installed everything for
+   you. Declare the chosen SFL4J binding and corresponding backend (may be optional)
+   in your dependency section within the <runtime> scope.
 
-  The distribution comes in three flavors, pick one from the 
-  {{{http://sourceforge.net/project/showfiles.php?group_id=75348&package_id=129511}download area}}
-  which fits best in your environment.
+** Manual installation
 
-  * <<<fckeditor-java-core-${currentVersion}.jar>>>
-
-    If you already have all dependencies on your classpath, simply put this jar
-    on your classpath (usually <<<WEB-INF/lib>>>) and you are ready to go.
-
-  * <<<fckeditor-java-${currentVersion}-bin.zip>>> (or <<<tar.gz>>>)
-
-    If you are starting from scratch, this distribution fits best. This package
-    comes with pre-built jars, all dependencies, the entire documentation for
-    offline usage and the license file.
-
-    The pre-built jars are:
-
-*---------------------------------------------------+--------------------------------------+
-|| File                                             || Description                        ||
-*---------------------------------------------------+--------------------------------------+
-| fckeditor-java-core-${currentVersion}.jar         | main jar                             |
-*---------------------------------------------------+--------------------------------------+
-| fckeditor-java-core-${currentVersion}-javadoc.jar | optional javadoc for IDE integration |
-*---------------------------------------------------+--------------------------------------+
-
-    The <<<lib>>> folder contains the following dependencies:
-
-*--------------------------------------------+----------------------------------+
-|| File                                      || Description                    ||
-*--------------------------------------------+----------------------------------+
-| commons-fileupload-1.2.jar                 | Apache Commons FileUpload library|
-*--------------------------------------------+----------------------------------+
-| commons-io-1.3.2.jar                       | Apache Commons IO library        |
-*--------------------------------------------+----------------------------------+
-| slf4j-api-${slf4jVersion}.jar              | Simple logging facade library    |
-*--------------------------------------------+----------------------------------+
-
-    Drop the main jar and the dependencies in your classpath (usually
-    <<<WEB-INF/lib>>>) and you are ready to go.
-
-  * <<<fckeditor-java-${currentVersion}-src.zip>>> (or <<<tar.gz>>>)
-
-    If you want to check out the integration's source code, refit to your needs
-    (obeying the license terms) or compile yourself, this is the perfect
-    distribution for you.
-
-  []
+   Simply put the downloaded core jar, it's dependencies and the chosen SFL4J
+   binding and corresponding backend (may be optional) on your classpath (usually
+   <<<WEB-INF/lib>>>) and you are ready to go.
 
 * FCKeditor installation
@@ -95,5 +49,6 @@
   files for a Java environment. Use the following <<<Ant>>> target on the FCKeditor
   zip file (~1,25 MiB) to create a cleaner and smaller distribution zip file
-  (~986 KiB).
+  (~986 KiB). After the minification you can unzip the smaller distribution zip
+  file into your webapp.
 
 +------------------------------------------------------------------------------+
@@ -118,12 +73,2 @@
 </target>
 +------------------------------------------------------------------------------+
-
-A word on Logging
-
-    [Attention:] Do <not> skip this section otherwise your application will <<fail>>!
-
-  We use the state-of-the-art logging facade <<<SLF4J>>>. To make SFL4J work at
-  runtime, you have to add <<one>> binding and the appropriate backend (may
-  be optional) into your classpath.\
-  Please check the {{{http://slf4j.org}SLF4J website}} for more information on
-  bindings and the API itself.
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2169)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2178)
@@ -21,4 +21,5 @@
 			<item name="What's new" href="/whatsnew.html" />
 			<item name="Demo" href="/demo.html" />
+			<item name="Download" href="/download.html" />
 			<item name="Installation" href="/installation.html" />
 		</menu>