Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2213)
@@ -99,5 +99,5 @@
         * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
           the user's ability to browse files on the server.
-  
+
         * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
           the user's ability to upload files to the server.
Index: FCKeditor.Java/trunk/src/site/apt/demo.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/demo.apt.vm	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id$
@@ -38,5 +38,5 @@
    [[2]] Deploy the <<<fckeditor-java-demo-${currentVersion}.war>>> in your servlet container
          or application server and make sure that the context is enabled.
-        
+
    [[3]] Open up your browser and point to <<<http://localhost:8080/fckeditor-java-demo-${currentVersion}>>>.
          (assuming your server is running local at port 8080 for testing purposes)
Index: FCKeditor.Java/trunk/src/site/apt/download.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id: installation.apt.vm 2162 2008-07-03 18:11:08Z mosipov $
@@ -30,10 +30,10 @@
 * Binary distribution
 
-    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant 
+    [Requirements:] You need at least JRE 1.4 and a Servlet 2.4/JSP 2.0 compliant
                     server implementation to run the integration pack.
 
 ** Using Maven 2
 
-   Declare a dependency reference to the library in the dependencies section of 
+   Declare a dependency reference to the library in the dependencies section of
    your POM and Maven 2 will do the rest for you:
 
Index: FCKeditor.Java/trunk/src/site/apt/index.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2213)
@@ -27,5 +27,5 @@
   Java environment a piece of cake.
 
-  A rich documentation, a well-designed Java library, and an out of the box demo 
+  A rich documentation, a well-designed Java library, and an out of the box demo
   webapp will show you how to get started quickly and deploy the FCKeditor within
   minutes without juggling with cryptic JSP scriptlets or any JavaScript API.
@@ -37,9 +37,8 @@
   
   This documentation is straight forward to use!\
-  Start with {{{whatsnew.html}What's new}} to see what has changed since 2.3 and
-  there is a lot! Go over and checkout the {{{demo.html}Demo}} and if you are 
-  ready to deploy the FCKeditor in your webapp, {{{download.html}download}} it,
-  follow the {{{installation.html}Installation Guide}} and the {{{overview.html}Integration Overview}}.
-  
+  Read the {{{changes-report.html}changes}} compared to the last release. Go over
+  and checkout the {{{demo.html}Demo}} and if you are ready to deploy the FCKeditor
+  in your webapp, {{{download.html}download}} it, follow the {{{installation.html}Installation Guide}}
+  and the {{{overview.html}Integration Overview}}.
 
 Call To Action
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id$
@@ -41,5 +41,5 @@
 
    Simply put the downloaded core jar, it's dependencies and your favorite SFL4J
-   binding together with the corresponding backend (may be optional) in to your 
+   binding together with the corresponding backend (may be optional) in to your
    classpath (usually <<<WEB-INF/lib>>>) and you are ready to go.
 
Index: FCKeditor.Java/trunk/src/site/apt/overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/overview.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/overview.apt	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id$
@@ -25,13 +25,12 @@
 
   The Java integration pack consists of two main components:
-  
+
   * <<JSP tag library>>: Easy integration of the FCKeditor in your JSPs.
-    
+
   * <<Connector>>: A servlet to manage resources like images, documents, and other
     files.
-  
+
   []
-  
+
   Please read the integration parts carefully! Both the tag library and the connector
   have been completely restructured.
-  
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id$
@@ -27,7 +27,7 @@
   Define only those you intend to override for the <entire> web application.
 
-  There are two ways to override the default properties: 
+  There are two ways to override the default properties:
 
-  * By creating a <<<fckeditor.properties>>> file in the classpath (usually 
+  * By creating a <<<fckeditor.properties>>> file in the classpath (usually
     <<<WEB-INF/classes>>>):
 
@@ -46,5 +46,5 @@
   ...
   PropertiesLoader.setProperty("fckeditor.toolbarSet", "Basic");
-  PropertiesLoader.setProperty("connector.userActionImpl", 
+  PropertiesLoader.setProperty("connector.userActionImpl",
                    "net.fckeditor.requestcycle.impl.UserActionImpl");
   ...
@@ -53,8 +53,8 @@
     [Attention:] It is essential to know how to use the <<<PropertiesHolder>>>.
                  Like the common properties usage, you should use it only at the
-                 start of your web application. If you don't have a kind of 
-                 an 'initialization' servlet, where you could place the 
-                 <<<PropertiesLoader>>> calls, we suggest for you to write your own 
-                 <<<ServletContextListener>>>. So you guarantee, you call the 
+                 start of your web application. If you don't have a kind of
+                 an 'initialization' servlet, where you could place the
+                 <<<PropertiesLoader>>> calls, we suggest for you to write your own
+                 <<<ServletContextListener>>>. So you guarantee, you call the
                  <<<PropertiesLoader>>> <before> the <<<ConnectorServlet>>> is
                  initialized.
@@ -62,5 +62,5 @@
   []
 
-  As you can see, setting a property is equal in both ways. The tables below 
+  As you can see, setting a property is equal in both ways. The tables below
   list all configurable properties for the integration pack.
 
@@ -86,8 +86,8 @@
 
   The integration library supports file, flash, image, and media resource types.
-  Replace <type name> in the property name with "file", "flash", "image", or 
+  Replace <type name> in the property name with "file", "flash", "image", or
   "media".
 
-  Define <<either>> an allowed <<or>> denied list. If an allowed list is 
+  Define <<either>> an allowed <<or>> denied list. If an allowed list is
   pre-defined overwrite it with an empty list and define your denied list as you
   wish.
Index: FCKeditor.Java/trunk/src/site/apt/taglibrary.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/taglibrary.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/taglibrary.apt	(revision 2213)
@@ -1,19 +1,19 @@
 ~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
 ~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~ 
+~~
 ~~ == BEGIN LICENSE ==
-~~ 
+~~
 ~~ Licensed under the terms of any of the following licenses at your
 ~~ choice:
-~~ 
+~~
 ~~  - GNU General Public License Version 2 or later (the "GPL")
 ~~    http://www.gnu.org/licenses/gpl.html
-~~ 
+~~
 ~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 ~~    http://www.gnu.org/licenses/lgpl.html
-~~ 
+~~
 ~~  - Mozilla Public License Version 1.1 or later (the "MPL")
 ~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~ 
+~~
 ~~ == END LICENSE ==
 ~~ @version $Id$
Index: FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/velocity_freemarker.apt	(revision 2213)
@@ -21,5 +21,5 @@
                         Velocity/FreeMarker Integration
                         ------------------------------
-                        
+
 Integration with Velocity or FreeMarker
 
@@ -32,13 +32,13 @@
             to use the Java Integration Pack with these template engines!
 
-  The required jars are <<<velocity-1.x.x.jar>>> or <<<freemarker-2.x.jar>>> in 
+  The required jars are <<<velocity-1.x.x.jar>>> or <<<freemarker-2.x.jar>>> in
   order to work with Velocity or FreeMarker respectively and <<<commons-collections.jar>>>
   also has to be available for Velocity. Drop the required jar files in your classpath
   (usually <<<WEB-INF/lib>>>).
-  
+
   The main class that builds the html for the editor is {{{java-core/apidocs/net/fckeditor/FCKeditor.html}<<<net.fckeditor.FCKeditor>>>}}.
   We propose to write a wrapper object to initialize the FCKeditor object.\
   Take a look at this very simple example:
-  
+
 +------------------------------------------------------------------------------+
 public class FCKeditorWrapper {
@@ -57,6 +57,6 @@
 +------------------------------------------------------------------------------+
 
-  Let's assume you add a <<<FCKeditorWrapper>>> instance called <editor> 
-  to your context objects, then you just need the following minimal template 
+  Let's assume you add a <<<FCKeditorWrapper>>> instance called <editor>
+  to your context objects, then you just need the following minimal template
   example (Velocity):
 
Index: FCKeditor.Java/trunk/src/site/apt/whatsnew.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/whatsnew.apt	(revision 2212)
+++ FCKeditor.Java/trunk/src/site/apt/whatsnew.apt	(revision 2213)
@@ -18,8 +18,7 @@
 ~~ == END LICENSE ==
 ~~ @version $Id$
-                                    ------------------------------
-												What's New
-                                    ------------------------------
-
+                        ------------------------------
+								What's New
+                        ------------------------------
 
 What's New
@@ -31,5 +30,5 @@
   * The integration pack is now managed by {{{http://maven.apache.org}Maven 2}}
     with complete documentation and reports.
-    
+
   * Automatic creation of release distribution files (assemblies).
 
@@ -52,5 +51,5 @@
     * No configuration settings in the <<<web.xml>>> anymore.
 
-    * The configuration properties can be set in a common properties file or 
+    * The configuration properties can be set in a common properties file or
       programmatically.
 