Index: CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.element.html
===================================================================
--- CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.element.html	(revision 2189)
+++ CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.element.html	(revision 2214)
@@ -214,4 +214,8 @@
 
 
+
+
+
+
 	<li><a href="../symbols/CKEDITOR.env.html">CKEDITOR.env</a></li>
 
@@ -271,5 +275,13 @@
 
 		<li>
+			<a href="../symbols/CKEDITOR.dom.domObject.html">CKEDITOR.dom.domObject</a>
+		</li>
+
+		<li>
 			<a href="../symbols/CKEDITOR.dom.element.html">CKEDITOR.dom.element</a>
+		</li>
+
+		<li>
+			<a href="../symbols/CKEDITOR.dom.event.html">CKEDITOR.dom.event</a>
 		</li>
 
@@ -425,5 +437,5 @@
 
 				<dl class="inheritsList">
-
+				<dt>Fields borrowed from class <a href="../symbols/CKEDITOR.dom.domObject.html#constructor">CKEDITOR.dom.domObject</a>: </dt><dd><a href="../symbols/CKEDITOR.dom.domObject.html#getCustomData">getCustomData</a>, <a href="../symbols/CKEDITOR.dom.domObject.html#setCustomData">setCustomData</a></dd>
 				</dl>
 
@@ -484,4 +496,13 @@
 							<td class="attributes">&nbsp;</td>
 							<td class="nameDescription">
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#focus">focus</a></b>()
+								</div>
+								<div class="description">Moves the selection focus to this element.</div>
+							</td>
+						</tr>
+
+						<tr>
+							<td class="attributes">&nbsp;</td>
+							<td class="nameDescription">
 								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#getDocument">getDocument</a></b>()
 								</div>
@@ -538,4 +559,22 @@
 							<td class="attributes">&nbsp;</td>
 							<td class="nameDescription">
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#getValue">getValue</a></b>()
+								</div>
+								<div class="description">Gets the value set to this element.</div>
+							</td>
+						</tr>
+
+						<tr>
+							<td class="attributes">&nbsp;</td>
+							<td class="nameDescription">
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#getWindow">getWindow</a></b>()
+								</div>
+								<div class="description">Gets the window object that contains this element.</div>
+							</td>
+						</tr>
+
+						<tr>
+							<td class="attributes">&nbsp;</td>
+							<td class="nameDescription">
 								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#hide">hide</a></b>()
 								</div>
@@ -622,4 +661,13 @@
 								</div>
 								<div class="description">Sets the element contents as plain text.</div>
+							</td>
+						</tr>
+
+						<tr>
+							<td class="attributes">&nbsp;</td>
+							<td class="nameDescription">
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.element.html#setValue">setValue</a></b>(value)
+								</div>
+								<div class="description">Sets the element value.</div>
 							</td>
 						</tr>
@@ -640,5 +688,5 @@
 
 				<dl class="inheritsList">
-				<dt>Methods borrowed from class <a href="../symbols/CKEDITOR.dom.node.html#constructor">CKEDITOR.dom.node</a>: </dt><dd><a href="../symbols/CKEDITOR.dom.node.html#appendTo">appendTo</a>, <a href="../symbols/CKEDITOR.dom.node.html#insertAfter">insertAfter</a>, <a href="../symbols/CKEDITOR.dom.node.html#insertBefore">insertBefore</a></dd>
+				<dt>Methods borrowed from class <a href="../symbols/CKEDITOR.dom.node.html#constructor">CKEDITOR.dom.node</a>: </dt><dd><a href="../symbols/CKEDITOR.dom.node.html#appendTo">appendTo</a>, <a href="../symbols/CKEDITOR.dom.node.html#insertAfter">insertAfter</a>, <a href="../symbols/CKEDITOR.dom.node.html#insertBefore">insertBefore</a></dd><dt>Methods borrowed from class <a href="../symbols/CKEDITOR.event.html#constructor">CKEDITOR.event</a>: </dt><dd><a href="../symbols/CKEDITOR.event.html#fire">fire</a>, <a href="../symbols/CKEDITOR.event.html#fireOnce">fireOnce</a>, <a href="../symbols/CKEDITOR.event.html#hasListeners">hasListeners</a>, <a href="../symbols/CKEDITOR.event.html#.implementOn">implementOn</a>, <a href="../symbols/CKEDITOR.event.html#on">on</a>, <a href="../symbols/CKEDITOR.event.html#removeListener">removeListener</a></dd>
 				</dl>
 
@@ -1015,4 +1063,45 @@
 					<hr />
 
+					<a name="focus"> </a>
+					<div class="fixedFont" style="float:left">
+
+					<span class="light">{Undefined}</span>
+					<b>focus</b>()
+
+					</div>
+
+
+						<div style="float:right">
+							<span class="heading">Since:</span>
+								3.0
+						</div>
+
+					<div style="clear:both"></div>
+
+
+					<div class="description">
+						Moves the selection focus to this element.
+
+
+					</div>
+
+
+
+
+					<pre class="code">var element = CKEDITOR.document.getById( 'myTextarea' );
+<b>element.focus()</b>;</pre>
+
+
+
+
+
+
+
+
+
+
+
+					<hr />
+
 					<a name="getDocument"> </a>
 					<div class="fixedFont" style="float:left">
@@ -1298,4 +1387,97 @@
 
 								<dd><span class="light fixedFont">{String}</span> The element name, or null if not available.</dd>
+
+							</dl>
+
+
+
+
+					<hr />
+
+					<a name="getValue"> </a>
+					<div class="fixedFont" style="float:left">
+
+					<span class="light">{String}</span>
+					<b>getValue</b>()
+
+					</div>
+
+
+						<div style="float:right">
+							<span class="heading">Since:</span>
+								3.0
+						</div>
+
+					<div style="clear:both"></div>
+
+
+					<div class="description">
+						Gets the value set to this element. This value is usually available
+for form field elements.
+
+
+					</div>
+
+
+
+
+					<pre class="code"><span style="color:red">NO EXAMPLE AVAILABLE</span></pre>
+
+
+
+
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{String}</span> The element value.</dd>
+
+							</dl>
+
+
+
+
+					<hr />
+
+					<a name="getWindow"> </a>
+					<div class="fixedFont" style="float:left">
+
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.window.html#constructor">CKEDITOR.dom.window</a>}</span>
+					<b>getWindow</b>()
+
+					</div>
+
+
+						<div style="float:right">
+							<span class="heading">Since:</span>
+								3.0
+						</div>
+
+					<div style="clear:both"></div>
+
+
+					<div class="description">
+						Gets the window object that contains this element.
+
+
+					</div>
+
+
+
+
+
+
+
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.window.html#constructor">CKEDITOR.dom.window</a>}</span> The window object.</dd>
 
 							</dl>
@@ -1499,5 +1681,5 @@
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{Undefined}</span>
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span>
 					<b>setAttribute</b>(name, value)
 
@@ -1550,4 +1732,11 @@
 
 
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span> This element instance.</dd>
+
+							</dl>
+
 
 
@@ -1558,5 +1747,5 @@
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{Undefined}</span>
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span>
 					<b>setAttributes</b>(attributesPairs)
 
@@ -1605,4 +1794,11 @@
 
 
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span> This element instance.</dd>
+
+							</dl>
+
 
 
@@ -1674,5 +1870,5 @@
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{Undefined}</span>
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span>
 					<b>setStyle</b>(name, value)
 
@@ -1727,4 +1923,11 @@
 
 
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span> This element instance.</dd>
+
+							</dl>
+
 
 
@@ -1735,5 +1938,5 @@
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{Undefined}</span>
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span>
 					<b>setStyles</b>(stylesPairs)
 
@@ -1782,4 +1985,11 @@
 
 
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span> This element instance.</dd>
+
+							</dl>
+
 
 
@@ -1839,4 +2049,63 @@
 
 								<dd><span class="light fixedFont">{String}</span> The inserted text.</dd>
+
+							</dl>
+
+
+
+
+					<hr />
+
+					<a name="setValue"> </a>
+					<div class="fixedFont" style="float:left">
+
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span>
+					<b>setValue</b>(value)
+
+					</div>
+
+
+						<div style="float:right">
+							<span class="heading">Since:</span>
+								3.0
+						</div>
+
+					<div style="clear:both"></div>
+
+
+					<div class="description">
+						Sets the element value. This function is usually used with form
+field element.
+
+
+					</div>
+
+
+
+
+					<pre class="code"><span style="color:red">NO EXAMPLE AVAILABLE</span></pre>
+
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Parameters:</dt>
+
+								<dt>
+									<span class="light fixedFont">{String}</span> <b>value</b>
+
+								</dt>
+								<dd>The element value.</dd>
+
+							</dl>
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.element.html#constructor">CKEDITOR.dom.element</a>}</span> This element instance.</dd>
 
 							</dl>