Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2231)
@@ -30,5 +30,5 @@
 
 /**
- * Java represantation of the FCKeditor. This class creates the html code for
+ * Java representation of the FCKeditor. This class creates the HTML code for
  * the FCKeditor based on the following things:
  * <ul>
@@ -48,8 +48,10 @@
 
 	// defaults
-	private String toolbarSet = PropertiesLoader.getProperty("fckeditor.toolbarSet");
+	private String toolbarSet = PropertiesLoader
+			.getProperty("fckeditor.toolbarSet");
 	private String width = PropertiesLoader.getProperty("fckeditor.width");
 	private String height = PropertiesLoader.getProperty("fckeditor.height");
-	private String basePath = PropertiesLoader.getProperty("fckeditor.basePath");
+	private String basePath = PropertiesLoader
+			.getProperty("fckeditor.basePath");
 
 	/**
@@ -72,7 +74,7 @@
 	 *             when instanceName is not valid HTML id
 	 */
-	public FCKeditor(final HttpServletRequest request, final String instanceName,
-	        final String width, final String height, final String toolbarSet, final String value,
-	        final String basePath) {
+	public FCKeditor(final HttpServletRequest request,
+			final String instanceName, final String width, final String height,
+			final String toolbarSet, final String value, final String basePath) {
 		this.request = request;
 		if (Utils.isBlank(instanceName))
@@ -90,6 +92,6 @@
 		if (Utils.isNotEmpty(value))
 			this.value = value;
-			else
-				this.value = new String();
+		else
+			this.value = new String();
 		if (Utils.isNotBlank(basePath))
 			this.basePath = request.getContextPath().concat(basePath);
@@ -185,6 +187,7 @@
 		return config;
 	}
-	/**
-	 * Set the advanced configuation set.
+
+	/**
+	 * Set the advanced configuration set.
 	 * 
 	 * @param config
@@ -206,7 +209,7 @@
 		if (Utils.isEmpty(str))
 			return str;
-		
+
 		/*
-		 * TODO Strings are inefficent. It should be done like in Commons Lang
+		 * TODO Strings are inefficient. It should be done like in Commons Lang
 		 * 2.4 StringUtils#replaceEach(String, String[], String[])
 		 */
@@ -218,5 +221,5 @@
 		return str;
 	}
-	
+
 	/*
 	 * (non-Javadoc)
@@ -226,4 +229,5 @@
 	/**
 	 * This method simply wraps to {@link #createHtml()}.
+	 * 
 	 * @see #createHtml()
 	 */
@@ -239,5 +243,5 @@
 	 * or a simple textarea otherwise.
 	 * 
-	 * @return FCKeditor html code
+	 * @return FCKeditor HTML code
 	 */
 	public String createHtml() {
@@ -248,18 +252,21 @@
 
 		if (Compatibility.check(request.getHeader("user-agent"))) {
-			strEditor.append(createInputForVariable(instanceName, instanceName, encodedValue));
-
-			// create config html
+			strEditor.append(createInputForVariable(instanceName, instanceName,
+					encodedValue));
+
+			// create config HTML
 			String configStr = config.getUrlParams();
 			if (Utils.isNotEmpty(configStr))
-				strEditor.append(createInputForVariable(null, instanceName.concat("___Config"),
-				        configStr));
+				strEditor.append(createInputForVariable(null, instanceName
+						.concat("___Config"), configStr));
 
 			// create IFrame
-			String sLink = basePath.concat("/editor/fckeditor.html?InstanceName=").concat(
-			        instanceName);
+			String sLink = basePath.concat(
+					"/editor/fckeditor.html?InstanceName=")
+					.concat(instanceName);
 			if (Utils.isNotEmpty(toolbarSet))
 				sLink += "&amp;Toolbar=".concat(toolbarSet);
-			XHtmlTagTool iframeTag = new XHtmlTagTool("iframe", XHtmlTagTool.SPACE);
+			XHtmlTagTool iframeTag = new XHtmlTagTool("iframe",
+					XHtmlTagTool.SPACE);
 			iframeTag.addAttribute("id", instanceName.concat("___Frame"));
 			iframeTag.addAttribute("src", sLink);
@@ -271,11 +278,12 @@
 
 		} else {
-			XHtmlTagTool textareaTag = new XHtmlTagTool("textarea", encodedValue);
+			XHtmlTagTool textareaTag = new XHtmlTagTool("textarea",
+					encodedValue);
 			textareaTag.addAttribute("name", instanceName);
 			textareaTag.addAttribute("rows", "4");
 			textareaTag.addAttribute("cols", "40");
 			textareaTag.addAttribute("wrap", "virtual");
-			textareaTag.addAttribute("style", "width: ".concat(width).concat("; height: ").concat(
-			        height));
+			textareaTag.addAttribute("style", "width: ".concat(width).concat(
+					"; height: ").concat(height));
 		}
 		strEditor.append("</div>");
@@ -283,5 +291,6 @@
 	}
 
-	private String createInputForVariable(final String name, final String id, final String value) {
+	private String createInputForVariable(final String name, final String id,
+			final String value) {
 		XHtmlTagTool tag = new XHtmlTagTool("input");
 		if (Utils.isNotEmpty(id))
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditorConfig.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditorConfig.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditorConfig.java	(revision 2231)
@@ -42,18 +42,19 @@
 
 	private static final long serialVersionUID = -4831190504944866644L;
-	private final Logger logger = LoggerFactory.getLogger(FCKeditorConfig.class);
+	private final Logger logger = LoggerFactory
+			.getLogger(FCKeditorConfig.class);
 
 	/**
 	 * Initialize the configuration collection
 	 */
-	public FCKeditorConfig(	) {
+	public FCKeditorConfig() {
 		super();
 	}
 
 	/**
-	 * Generates the url parameter sequence from this configuration which is
+	 * Generates the URL parameter sequence from this configuration which is
 	 * passed to the editor.
 	 * 
-	 * @return html encoded sequence of configuration parameters
+	 * @return HTML-encoded sequence of configuration parameters
 	 */
 	public String getUrlParams() {
@@ -63,16 +64,17 @@
 				if (Utils.isNotEmpty(entry.getValue())) {
 					osParams.append("&amp;");
-					osParams.append(URLEncoder.encode(entry.getKey(),"UTF-8"));
+					osParams.append(URLEncoder.encode(entry.getKey(), "UTF-8"));
 					osParams.append("=");
-					osParams.append(URLEncoder.encode(entry.getValue(),"UTF-8"));
+					osParams.append(URLEncoder
+							.encode(entry.getValue(), "UTF-8"));
 				}
 			}
-			
+
 		} catch (UnsupportedEncodingException e) {
 			logger.error("Configuration parameters could not be encoded", e);
 		}
-		
+
 		if (osParams.length() > 0)
-			osParams.delete(0,5);
+			osParams.delete(0, 5);
 		return osParams.toString();
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2231)
@@ -60,6 +60,6 @@
  * <li><code>GetFolders</code>: Retrieves a list of folders in the current
  * folder</li>
- * <li><code>GetFoldersAndFiles</code>: Retrives a list of files and folders
- * in the current folder</li>
+ * <li><code>GetFoldersAndFiles</code>: Retrieves a list of files and
+ * folders in the current folder</li>
  * <li><code>CreateFolder</code>: Creates a new folder in the current folder</li>
  * <li><code>FileUpload</code>: Stores an uploaded file into the current
@@ -72,5 +72,6 @@
 
 	private static final long serialVersionUID = -5742008970929377161L;
-	private static final Logger logger = LoggerFactory.getLogger(ConnectorServlet.class);
+	private static final Logger logger = LoggerFactory
+			.getLogger(ConnectorServlet.class);
 
 	/**
@@ -79,5 +80,5 @@
 	public void init() throws ServletException, IllegalArgumentException {
 		String realDefaultUserFilesPath = getServletContext().getRealPath(
-		        ConnectorHandler.getDefaultUserFilesPath());
+				ConnectorHandler.getDefaultUserFilesPath());
 
 		File defaultUserFilesDir = new File(realDefaultUserFilesPath);
@@ -99,5 +100,5 @@
 	 */
 	public void doGet(HttpServletRequest request, HttpServletResponse response)
-	        throws ServletException, IOException {
+			throws ServletException, IOException {
 		logger.debug("Entering ConnectorServlet#doGet");
 
@@ -119,16 +120,24 @@
 
 		if (!RequestCycleHandler.isEnabledForFileBrowsing(request))
-			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh.getString("message.connector.fileBrowsing.disabled"));
+			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh
+					.getString("message.connector.fileBrowsing.disabled"));
 		else if (!CommandHandler.isValidForGet(commandStr))
-			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh.getString("message.connector.invalid_command_specified"));
+			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh
+					.getString("message.connector.invalid_command_specified"));
 		else if (typeStr != null && !ResourceTypeHandler.isValid(typeStr))
-			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh.getString("message.connector.invalid_type_specified"));
+			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh
+					.getString("message.connector.invalid_type_specified"));
 		else if (!UtilsFile.isValidPath(currentFolderStr))
-			xr = new XmlResponse(XmlResponse.EN_ERROR, lrh.getString("message.connector.invalid_current_folder_speficied"));
+			xr = new XmlResponse(
+					XmlResponse.EN_ERROR,
+					lrh
+							.getString("message.connector.invalid_current_folder_speficied"));
 		else {
 			CommandHandler command = CommandHandler.getCommand(commandStr);
-			ResourceTypeHandler resourceType = ResourceTypeHandler.getDefaultResourceType(typeStr);
-
-			String typePath = UtilsFile.constructServerSidePath(request, resourceType);
+			ResourceTypeHandler resourceType = ResourceTypeHandler
+					.getDefaultResourceType(typeStr);
+
+			String typePath = UtilsFile.constructServerSidePath(request,
+					resourceType);
 			String typeDirPath = getServletContext().getRealPath(typePath);
 
@@ -142,7 +151,8 @@
 			else {
 
-				xr = new XmlResponse(command, resourceType, currentFolderStr, UtilsResponse
-				        .constructResponseUrl(request, resourceType, currentFolderStr, true,
-				                ConnectorHandler.isFullUrl()));
+				xr = new XmlResponse(command, resourceType, currentFolderStr,
+						UtilsResponse.constructResponseUrl(request,
+								resourceType, currentFolderStr, true,
+								ConnectorHandler.isFullUrl()));
 
 				if (command.equals(CommandHandler.GET_FOLDERS))
@@ -152,5 +162,5 @@
 				else if (command.equals(CommandHandler.CREATE_FOLDER)) {
 					String newFolderStr = UtilsFile.sanitizeFolderName(request
-					        .getParameter("NewFolderName"));
+							.getParameter("NewFolderName"));
 					logger.debug("Parameter NewFolderName: {}", newFolderStr);
 
@@ -163,5 +173,5 @@
 						try {
 							errorNumber = (newFolder.mkdir()) ? XmlResponse.EN_OK
-							        : XmlResponse.EN_INVALID_FOLDER_NAME;
+									: XmlResponse.EN_INVALID_FOLDER_NAME;
 						} catch (SecurityException e) {
 							errorNumber = XmlResponse.EN_SECURITY_ERROR;
@@ -191,5 +201,5 @@
 	@SuppressWarnings("unchecked")
 	public void doPost(HttpServletRequest request, HttpServletResponse response)
-	        throws ServletException, IOException {
+			throws ServletException, IOException {
 		logger.debug("Entering Connector#doPost");
 
@@ -218,17 +228,26 @@
 
 		if (!RequestCycleHandler.isEnabledForFileUpload(request))
-			ur = new UploadResponse(UploadResponse.SC_SECURITY_ERROR, null, null,
-			        lrh.getString("message.connector.fileUpload.disabled"));
+			ur = new UploadResponse(UploadResponse.SC_SECURITY_ERROR, null,
+					null, lrh
+							.getString("message.connector.fileUpload.disabled"));
 		else if (!CommandHandler.isValidForPost(commandStr))
-			ur = new UploadResponse(UploadResponse.SC_ERROR, null, null, lrh.getString("message.connector.invalid_command_specified"));
+			ur = new UploadResponse(UploadResponse.SC_ERROR, null, null, lrh
+					.getString("message.connector.invalid_command_specified"));
 		else if (typeStr != null && !ResourceTypeHandler.isValid(typeStr))
-			ur = new UploadResponse(UploadResponse.SC_ERROR, null, null, lrh.getString("message.connector.invalid_type_specified"));
+			ur = new UploadResponse(UploadResponse.SC_ERROR, null, null, lrh
+					.getString("message.connector.invalid_type_specified"));
 		else if (!UtilsFile.isValidPath(currentFolderStr))
-			ur = new UploadResponse(UploadResponse.SC_ERROR, null, null,
-					lrh.getString("message.connector.invalid_current_folder_speficied"));
+			ur = new UploadResponse(
+					UploadResponse.SC_ERROR,
+					null,
+					null,
+					lrh
+							.getString("message.connector.invalid_current_folder_speficied"));
 		else {
-			ResourceTypeHandler resourceType = ResourceTypeHandler.getDefaultResourceType(typeStr);
-
-			String typePath = UtilsFile.constructServerSidePath(request, resourceType);
+			ResourceTypeHandler resourceType = ResourceTypeHandler
+					.getDefaultResourceType(typeStr);
+
+			String typePath = UtilsFile.constructServerSidePath(request,
+					resourceType);
 			String typeDirPath = getServletContext().getRealPath(typePath);
 
@@ -239,6 +258,10 @@
 
 			if (!currentDir.exists())
-				ur = new UploadResponse(UploadResponse.SC_ERROR, null, null,
-						lrh.getString("message.connector.invalid_current_folder_speficied"));
+				ur = new UploadResponse(
+						UploadResponse.SC_ERROR,
+						null,
+						null,
+						lrh
+								.getString("message.connector.invalid_current_folder_speficied"));
 			else {
 
@@ -253,5 +276,6 @@
 					// We upload only one file at the same time
 					FileItem uplFile = items.get(0);
-					String rawName = UtilsFile.sanitizeFileName(uplFile.getName());
+					String rawName = UtilsFile.sanitizeFileName(uplFile
+							.getName());
 					String filename = FilenameUtils.getName(rawName);
 					String baseName = FilenameUtils.removeExtension(filename);
@@ -259,5 +283,6 @@
 
 					if (!ExtensionsHandler.isAllowed(resourceType, extension))
-						ur = new UploadResponse(UploadResponse.SC_INVALID_EXTENSION);
+						ur = new UploadResponse(
+								UploadResponse.SC_INVALID_EXTENSION);
 					else {
 
@@ -266,6 +291,7 @@
 						int counter = 1;
 						while (pathToSave.exists()) {
-							newFilename = baseName.concat("(").concat(String.valueOf(counter))
-							        .concat(")").concat(".").concat(extension);
+							newFilename = baseName.concat("(").concat(
+									String.valueOf(counter)).concat(")")
+									.concat(".").concat(extension);
 							pathToSave = new File(currentDir, newFilename);
 							counter++;
@@ -273,21 +299,25 @@
 
 						if (Utils.isEmpty(newFilename))
-							ur = new UploadResponse(UploadResponse.SC_OK, UtilsResponse
-							        .constructResponseUrl(request, resourceType, currentFolderStr,
-							                true, ConnectorHandler.isFullUrl()).concat(filename));
+							ur = new UploadResponse(UploadResponse.SC_OK,
+									UtilsResponse.constructResponseUrl(request,
+											resourceType, currentFolderStr,
+											true, ConnectorHandler.isFullUrl())
+											.concat(filename));
 						else
 							ur = new UploadResponse(UploadResponse.SC_RENAMED,
-							        UtilsResponse.constructResponseUrl(request, resourceType,
-							                currentFolderStr, true, ConnectorHandler.isFullUrl())
-							                .concat(newFilename), newFilename);
+									UtilsResponse.constructResponseUrl(request,
+											resourceType, currentFolderStr,
+											true, ConnectorHandler.isFullUrl())
+											.concat(newFilename), newFilename);
 
 						// secure image check
 						if (resourceType.equals(ResourceTypeHandler.IMAGE)
-						        && ConnectorHandler.isSecureImageUploads()) {
+								&& ConnectorHandler.isSecureImageUploads()) {
 							if (UtilsFile.isImage(uplFile.getInputStream()))
 								uplFile.write(pathToSave);
 							else {
 								uplFile.delete();
-								ur = new UploadResponse(UploadResponse.SC_INVALID_EXTENSION);
+								ur = new UploadResponse(
+										UploadResponse.SC_INVALID_EXTENSION);
 							}
 						} else
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java	(revision 2231)
@@ -89,5 +89,5 @@
 
 	/**
-	 * Checks if a specfied string represents a valid <code>GET</code>
+	 * Checks if a specified string represents a valid <code>GET</code>
 	 * command.
 	 * 
@@ -102,5 +102,5 @@
 
 	/**
-	 * Checks if a specfied string represents a valid <code>POST</code>
+	 * Checks if a specified string represents a valid <code>POST</code>
 	 * command.
 	 * 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ResourceTypeHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ResourceTypeHandler.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ResourceTypeHandler.java	(revision 2231)
@@ -101,5 +101,5 @@
 	/**
 	 * 
-	 * Checks if a specfied string represents a valid resource type.
+	 * Checks if a specified string represents a valid resource type.
 	 * 
 	 * @param name
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java	(revision 2231)
@@ -28,5 +28,5 @@
  * <p>
  * The usage is quite easy but can be tricky since varargs are used in the class
- * constructor.<br/> The requestor expects a JS method callback with variable
+ * constructor.<br/> The requester expects a JS method callback with variable
  * arguments size.
  * </p>
@@ -47,5 +47,6 @@
 	private Object[] parameters;
 
-	// Naming scheme according static status codes in javax.servlet.http.HttpServletResponse
+	// Naming scheme according static status codes in
+	// javax.servlet.http.HttpServletResponse
 	/** Error number OK */
 	public static final int SC_OK = 0;
@@ -62,5 +63,5 @@
 	/** Error number SECURITY ERROR */
 	public static final int SC_SECURITY_ERROR = 203;
-	
+
 	/**
 	 * Constructs the response with variable amount of parameters.
@@ -73,5 +74,5 @@
 	 * </p>
 	 * <p>
-	 * Use, if possible, the pre-defined error numbers or upload responses.
+	 * Use, if possible, the predefined error numbers or upload responses.
 	 * </p>
 	 * <p>
@@ -130,7 +131,9 @@
 		StringBuffer sb = new StringBuffer(400);
 		sb.append("<script type=\"text/javascript\">\n");
-        // Minified version of the document.domain automatic fix script.
-		// The original script can be found at [fckeditor dir]/_dev/domain_fix_template.js
-		sb.append("(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n");
+		// Compressed version of the document.domain automatic fix script.
+		// The original script can be found at [fckeditor
+		// dir]/_dev/domain_fix_template.js
+		sb
+				.append("(function(){var d=document.domain;while (true){try{var A=window.parent.document.domain;break;}catch(e) {};d=d.replace(/.*?(?:\\.|$)/,'');if (d.length==0) break;try{document.domain=d;}catch (e){break;}}})();\n");
 		sb.append("window.parent.OnUploadCompleted(");
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/XmlResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/XmlResponse.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/XmlResponse.java	(revision 2231)
@@ -77,5 +77,5 @@
 
 	/**
-	 * Use this contructor if want to respond a positive message.
+	 * Use this constructor if want to respond a positive message.
 	 * 
 	 * @param command
@@ -111,5 +111,5 @@
 	/**
 	 * 
-	 * Use this contructor if want to respond a negative/error message with
+	 * Use this constructor if want to respond a negative/error message with
 	 * custom text.
 	 * 
@@ -133,5 +133,5 @@
 	
 	/**
-	 * Use this contructor if want to respond a negative/error message only.
+	 * Use this constructor if want to respond a negative/error message only.
 	 * 
 	 * @param number
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/ConfigTag.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/ConfigTag.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/ConfigTag.java	(revision 2231)
@@ -31,5 +31,5 @@
 /**
  * This tag sets configuration options for the surrounding editor tag. Provide
- * any configuraion options you want as described <a
+ * any configuration options you want as described <a
  * href="http://docs.fckeditor.net/FCKeditor_2.x/Developers_Guide/Configuration/Configuration_Options">here</a>.
  * This tag utilizes the dynamic attribute features provided by the
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java	(revision 2231)
@@ -56,5 +56,5 @@
 	 * 
 	 * @param instanceName
-	 *            some name without whitespaces
+	 *            some name without whitespace
 	 */
 	public void setInstanceName(String instanceName) {
@@ -143,5 +143,6 @@
 			out.println(fckEditor);
 		} catch (IOException e) {
-			throw new JspException("Tag response could not be written to the user!",e);
+			throw new JspException(
+					"Tag response could not be written to the user!", e);
 		}
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Utils.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Utils.java	(revision 2230)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/Utils.java	(revision 2231)
@@ -38,5 +38,5 @@
 	 * @param delimiter
 	 *            The delimiter.
-	 * @return An emtpy list if 'stringList' is empty else a lowercased set of
+	 * @return An empty list if 'stringList' is empty else a lowercased set of
 	 *         strings.
 	 * @throws IllegalArgumentException