Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java	(revision 2234)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java	(revision 2248)
@@ -26,14 +26,18 @@
 
 /**
+ * An interface which provides the ability to resolve the current user's locale
+ * independently from any framework or direct implementation.
  * 
  * @version $Id$
- *
+ * 
  */
 public interface LocaleResolver {
-	
+
 	/**
 	 * 
 	 * @param request
-	 * @return
+	 *            The current request instance
+	 * @return The locale of the user or <code>null</code> if the locale
+	 *         cannot be resolved
 	 */
 	public Locale resolveLocale(HttpServletRequest request);
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2234)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2248)
@@ -29,12 +29,18 @@
 
 /**
+ * This implementation maps directly to the JSTL locale mechanism. This is
+ * recommended for thos who FMT tags for example.
  * 
  * @version $Id$
- *
+ * 
  */
 public class JstlResolver implements LocaleResolver {
 
+	/*
+	 * (non-Javadoc)
+	 * @see net.fckeditor.localization.LocaleResolver#resolveLocale(javax.servlet.http.HttpServletRequest)
+	 */
 	public Locale resolveLocale(HttpServletRequest request) {
-		
+
 		return (Locale) Config.get(request.getSession(), Config.FMT_LOCALE);
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/impl/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/impl/package.html	(revision 2248)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/impl/package.html	(revision 2248)
@@ -0,0 +1,33 @@
+<!--
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ *
+ * == BEGIN LICENSE ==
+ *
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ *
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ *
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ *
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ *
+ * == END LICENSE =
+ * @version: $Id$
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<html>
+<head>
+</head>
+<body bgcolor="white">
+
+Basic/pre-defined implementations for the locale resolver interface.
+
+<!-- Put @see and @since tags down here. -->
+
+</body>
+</html>
Index: FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/package.html
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/package.html	(revision 2248)
+++ FCKeditor.Java/trunk/java-core/src/main/javadoc/net/fckeditor/localization/package.html	(revision 2248)
@@ -0,0 +1,33 @@
+<!--
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ *
+ * == BEGIN LICENSE ==
+ *
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ *
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ *
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ *
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ *
+ * == END LICENSE =
+ * @version: $Id$
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<html>
+<head>
+</head>
+<body bgcolor="white">
+
+Interface for locale resolution for different frameworks.
+
+<!-- Put @see and @since tags down here. -->
+
+</body>
+</html>
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2248)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2248)
@@ -0,0 +1,26 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id$
+				-------------------------
+					Overview
+				-------------------------
+
+Overview
+
+  dddd
Index: FCKeditor.Java/trunk/src/site/apt/i18n.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2248)
+++ FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2248)
@@ -0,0 +1,26 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id$
+				-------------------------
+					Internationalization
+				-------------------------
+
+Internationalization
+
+  dddd
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt	(revision 2234)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt	(revision 2248)
@@ -33,5 +33,5 @@
 ** Using Maven 2
 
-   If you have already declared the depedency reference as described in the
+   If you have already declared the dependency reference as described in the
    {{{download.html}download guide}}, Maven has already installed everything for
    you. Declare the chosen SFL4J binding and corresponding backend (may be optional)
@@ -49,5 +49,5 @@
   files for a Java environment. Use the following <<<Ant>>> target on the FCKeditor
   2.6.2 zip file (1,26 MiB) to create a cleaner and smaller distribution zip file
-  (996 KiB). After the minification you can unzip the smaller distribution zip
+  (996 KiB). After the reduction you can unzip the smaller distribution zip
   file into your webapp.
 
Index: FCKeditor.Java/trunk/src/site/apt/int_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 2248)
+++ FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 2248)
@@ -0,0 +1,39 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id$
+				---------------
+					Overview
+				---------------
+
+Overview
+
+  The Java integration can be integrated in several systems and frameworks:
+
+  * <<JSP tag library>>: Easy integration of the FCKeditor in your JSPs.
+
+  * <<Connector>>: A servlet to manage resources like images, documents, and other
+    files.
+    
+  * <<Velocity/FreeMarker>>: This library is suitable to be integrated into a
+    template engine.
+
+  []
+
+  Please read the integration parts carefully if you intend to deploy the FCKeditor
+  in a particular system!
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2234)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2248)
@@ -26,5 +26,5 @@
 		</menu>
 		<menu name="Integration">
-			<item name="Overview" href="/overview.html" />
+			<item name="Overview" href="/int_overview.html" />
 			<item name="Tag library"
 				href="/taglibrary.html"
@@ -32,4 +32,10 @@
 			<item name="Connector" href="/connector.html" />
 			<item name="Velocity/FreeMarker" href="/velocity_freemarker.html"/>
+		</menu>
+		<menu name="Extending the Library">
+			<item name="Overview" href="ext_overview.html"/>
+			<item name="UserAction" />
+			<item name="UserPathBuilder" />
+			<item name="I18n" href="/i18n.html" />
 		</menu>
 		<menu name="Reference">